Skip to main content
GET
/
api
/
logs
/
sessions
/
{session_id}
Error
A valid request URL is required to generate request examples
{
  "session_id": "<string>",
  "logs": [
    {
      "id": "<string>",
      "parent_request_id": "<string>",
      "provider": "<string>",
      "model": "<string>",
      "object": "<string>",
      "timestamp": "2023-11-07T05:31:56Z",
      "number_of_retries": 123,
      "fallback_index": 123,
      "latency": 123,
      "cost": 123,
      "selected_key_id": "<string>",
      "selected_key_name": "<string>",
      "virtual_key_id": "<string>",
      "virtual_key_name": "<string>",
      "routing_engines_used": [
        "<string>"
      ],
      "routing_rule_id": "<string>",
      "routing_rule_name": "<string>",
      "stream": true,
      "raw_request": "<string>",
      "raw_response": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "token_usage": {
        "prompt_tokens": 123,
        "prompt_tokens_details": {
          "text_tokens": 123,
          "audio_tokens": 123,
          "image_tokens": 123,
          "cached_read_tokens": 123,
          "cached_write_tokens": 123
        },
        "completion_tokens": 123,
        "completion_tokens_details": {
          "text_tokens": 123,
          "accepted_prediction_tokens": 123,
          "audio_tokens": 123,
          "citation_tokens": 123,
          "num_search_queries": 123,
          "reasoning_tokens": 123,
          "image_tokens": 123,
          "rejected_prediction_tokens": 123
        },
        "total_tokens": 123,
        "cost": {
          "input_tokens_cost": 123,
          "output_tokens_cost": 123,
          "reasoning_tokens_cost": 123,
          "citation_tokens_cost": 123,
          "search_queries_cost": 123,
          "request_cost": 123,
          "total_cost": 123
        }
      },
      "error_details": {
        "event_id": "<string>",
        "type": "<string>",
        "is_bifrost_error": true,
        "status_code": 123,
        "error": {
          "type": "<string>",
          "code": "<string>",
          "message": "<string>",
          "param": "<string>",
          "event_id": "<string>"
        },
        "extra_fields": {
          "model_requested": "<string>",
          "request_type": "<string>"
        }
      },
      "input_history": [
        {
          "name": "<string>",
          "content": "<string>",
          "tool_call_id": "<string>",
          "refusal": "<string>",
          "audio": {
            "id": "<string>",
            "data": "<string>",
            "expires_at": 123,
            "transcript": "<string>"
          },
          "reasoning": "<string>",
          "reasoning_details": [
            {
              "id": "<string>",
              "index": 123,
              "summary": "<string>",
              "text": "<string>",
              "signature": "<string>",
              "data": "<string>"
            }
          ],
          "annotations": [
            {
              "type": "<string>",
              "url_citation": {
                "start_index": 123,
                "end_index": 123,
                "title": "<string>",
                "url": "<string>",
                "sources": {},
                "type": "<string>"
              }
            }
          ],
          "tool_calls": [
            {
              "function": {
                "name": "<string>",
                "arguments": "<string>"
              },
              "index": 123,
              "type": "<string>",
              "id": "<string>"
            }
          ]
        }
      ],
      "responses_input_history": [
        {
          "id": "<string>",
          "content": "<string>",
          "call_id": "<string>",
          "name": "<string>",
          "arguments": "<string>",
          "output": {},
          "action": {},
          "error": "<string>",
          "queries": [
            "<string>"
          ],
          "results": [
            {}
          ],
          "summary": [
            {
              "text": "<string>"
            }
          ],
          "encrypted_content": "<string>"
        }
      ],
      "output_message": {
        "name": "<string>",
        "content": "<string>",
        "tool_call_id": "<string>",
        "refusal": "<string>",
        "audio": {
          "id": "<string>",
          "data": "<string>",
          "expires_at": 123,
          "transcript": "<string>"
        },
        "reasoning": "<string>",
        "reasoning_details": [
          {
            "id": "<string>",
            "index": 123,
            "summary": "<string>",
            "text": "<string>",
            "signature": "<string>",
            "data": "<string>"
          }
        ],
        "annotations": [
          {
            "type": "<string>",
            "url_citation": {
              "start_index": 123,
              "end_index": 123,
              "title": "<string>",
              "url": "<string>",
              "sources": {},
              "type": "<string>"
            }
          }
        ],
        "tool_calls": [
          {
            "function": {
              "name": "<string>",
              "arguments": "<string>"
            },
            "index": 123,
            "type": "<string>",
            "id": "<string>"
          }
        ]
      },
      "responses_output": [
        {
          "id": "<string>",
          "content": "<string>",
          "call_id": "<string>",
          "name": "<string>",
          "arguments": "<string>",
          "output": {},
          "action": {},
          "error": "<string>",
          "queries": [
            "<string>"
          ],
          "results": [
            {}
          ],
          "summary": [
            {
              "text": "<string>"
            }
          ],
          "encrypted_content": "<string>"
        }
      ],
      "embedding_output": [
        [
          123
        ]
      ],
      "params": {},
      "tools": [
        {
          "function": {
            "name": "<string>",
            "description": "<string>",
            "parameters": {
              "type": "<string>",
              "description": "<string>",
              "required": [
                "<string>"
              ],
              "properties": {},
              "enum": [
                "<string>"
              ],
              "additionalProperties": true
            },
            "strict": true
          },
          "custom": {
            "format": {
              "type": "<string>",
              "grammar": {
                "definition": "<string>"
              }
            }
          },
          "cache_control": {
            "ttl": "<string>"
          }
        }
      ],
      "tool_calls": [
        {
          "function": {
            "name": "<string>",
            "arguments": "<string>"
          },
          "index": 123,
          "type": "<string>",
          "id": "<string>"
        }
      ],
      "speech_input": {},
      "transcription_input": {},
      "image_generation_input": {},
      "speech_output": {},
      "transcription_output": {},
      "image_generation_output": {},
      "cache_debug": {},
      "metadata": {},
      "selected_key": {},
      "virtual_key": {},
      "passthrough_request_body": "<string>",
      "passthrough_response_body": "<string>",
      "routing_engine_logs": {},
      "is_large_payload_request": true,
      "is_large_payload_response": true,
      "rerank_output": {},
      "video_generation_input": {},
      "video_generation_output": {},
      "video_retrieve_output": {},
      "video_list_output": {},
      "video_delete_output": {},
      "video_download_output": {},
      "list_models_output": {}
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total_count": 123
  },
  "count": 123,
  "returned_count": 123,
  "has_more": true
}

Authorizations

Authorization
string
header
required

Management API authentication for /api/* endpoints. Use the Authorization header with Bearer <API key>. Virtual keys, dashboard/user/session tokens, and x-api-key headers are not supported on management APIs.

Path Parameters

session_id
string
required

Parent request ID identifying the session

Query Parameters

limit
integer
default:200

Number of logs to return (default 200, max 200)

Required range: x <= 200
offset
integer
default:0

Number of logs to skip

order
enum<string>
default:asc

Sort order (default asc)

Available options:
asc,
desc

Response

Session logs retrieved successfully

Paginated logs for a single parent-request session

session_id
string
logs
object[]
pagination
object

Pagination metadata. Session logs are always sorted by timestamp; the sort_by field is not configurable.

count
integer<int64>

Total log count for this session

returned_count
integer

Number of logs returned in this response

has_more
boolean